Subject: [alpine-devel] [PATCH] testing/dovecot-antispam-plugin: new aport

From: Kozak Ivan <[email-masked]>
Date: Wed, 29 Jan 2014 22:54:48 +0400

---
 testing/dovecot-antispam-plugin/APKBUILD | 46 ++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/dovecot-antispam-plugin/APKBUILD

diff --git a/testing/dovecot-antispam-plugin/APKBUILD b/testing/dovecot-antispam-plugin/APKBUILD
new file mode 100644
index 0000000..65f3198
--- /dev/null
+++ b/testing/dovecot-antispam-plugin/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Kozak Ivan <[email-masked]>
+# Maintainer: Kozak Ivan <[email-masked]>
+pkgname=dovecot-antispam-plugin
+pkgver=51
+pkgrel=0
+pkgdesc="Integrates DSPAM into dovecot IMAP server. Mercurial Version for dovecot >= 2.1"
+url="http://hg.dovecot.org/dovecot-antispam-plugin/"
+arch="all"
+license="GPL"
+depends="dovecot"
+depends_dev="dovecot-dev mercurial autoconf automake gawk"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source=""
+
+_hgroot="http://hg.dovecot.org/dovecot-antispam-plugin"
+_hgrepo="dovecot-antispam-plugin"
+_builddir="$srcdir/$_hgrepo"
+
+prepare() {
+	cd "$srcdir"
+	msg "Connecting to Mercurial server..."
+
+	if [[ -d "$_hgrepo" ]]; then
+		cd "$_hgrepo"
+		hg pull -r 51 -u
+		msg "The local files are updated."
+	else
+		hg clone -r 51 "$_hgroot" "$_hgrepo"
+	fi
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh || return 1
+	./configure --prefix=/usr --with-dovecot=/usr/lib/dovecot || return 1
+	sed -i -e 's/install -o/install -D -o/' -e 's|$(INSTALLDIR)/|$(INSTALLDIR)/$(LIBRARY_NAME)|' Makefile || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
-- 
1.8.4.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---